---
title: "Get a single theme"
description: "Get a theme's details by its unique ID."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/get-a-single-theme'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/get-a-single-theme.md'
---
# Get a single theme

Get a theme's details by its unique ID.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /themes/:theme_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_content`

## Request

### Path Parameters

* `theme_id`

  string (required)

  The unique ID of the theme.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `theme`

  object

  The information of the queried theme.

  * `create_at`

    string

    The creation time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `id`

    string

    The unique ID of the theme.

  * `name`

    string

    The name of the theme.

  * `original_theme_id`

    string

    If the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returns `null`.

  * `role`

    string

    The status of the theme. Valid values are:
    - `published`: Published theme
    - `unpublished`: Unpublished theme
    - `development`: Theme in development

  * `theme_type_version`

    string

    The version identifier of the theme.

  * `update_at`

    string

    The update time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get a single theme"
  ],
  "description": "Get a theme's details by its unique ID.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "RyPtMkuy",
  "parameters": [
    {
      "name": "theme_id",
      "in": "path",
      "description": "The unique ID of the theme.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "theme_id",
        "description": "The unique ID of the theme.",
        "type": "string",
        "example": "671f4c96d2682a1f5407536e"
      },
      "example": "671f4c96d2682a1f5407536e",
      "examples": {
        "Get a single theme's details": {
          "value": "63889af46841fe15da877e2b"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "theme": {
                "name": "theme",
                "description": "The information of the queried theme.",
                "type": "object",
                "properties": {
                  "create_at": {
                    "name": "create_at",
                    "description": "The creation time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2024-10-28T16:34:30+08:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "The unique ID of the theme.",
                    "type": "string",
                    "example": "671f4c96d2682a1f5407536e"
                  },
                  "name": {
                    "name": "name",
                    "description": "The name of the theme.",
                    "type": "string",
                    "example": "Modern1"
                  },
                  "original_theme_id": {
                    "name": "original_theme_id",
                    "description": "If the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returns `null`.",
                    "type": "string",
                    "example": "627d1003d4baa549bf5b83f9"
                  },
                  "role": {
                    "name": "role",
                    "description": "The status of the theme. Valid values are:\n- `published`: Published theme\n- `unpublished`: Unpublished theme\n- `development`: Theme in development",
                    "type": "string"
                  },
                  "theme_type_version": {
                    "name": "theme_type_version",
                    "description": "The version identifier of the theme.",
                    "type": "string",
                    "example": "2.1"
                  },
                  "update_at": {
                    "name": "update_at",
                    "description": "The update time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-01-13T16:58:56+08:00"
                  }
                },
                "example": {
                  "theme_type_version": "2.1",
                  "update_at": "2025-01-13T16:58:56+08:00",
                  "create_at": "2024-10-28T16:34:30+08:00",
                  "id": "671f4c96d2682a1f5407536e",
                  "name": "Modern1",
                  "original_theme_id": "627d1003d4baa549bf5b83f9",
                  "role": null
                }
              }
            },
            "example": {
              "theme": {
                "original_theme_id": "627d1003d4baa549bf5b83f9",
                "role": null,
                "theme_type_version": "2.1",
                "update_at": "2025-01-13T16:58:56+08:00",
                "create_at": "2024-10-28T16:34:30+08:00",
                "id": "671f4c96d2682a1f5407536e",
                "name": "Modern1"
              }
            }
          },
          "examples": {
            "Get a single theme's details": {
              "description": "Get a single theme's details",
              "value": {
                "theme": {
                  "update_at": "2022-12-21T15:40:47+08:00",
                  "create_at": "2022-12-01T20:15:48+08:00",
                  "id": "63889af46841fe15da877e2b",
                  "name": "Arise21",
                  "original_theme_id": "62319e9585f4b048db79a50e",
                  "role": "published"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/themes/:theme_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get a single theme",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_content"
  ]
}
```